Bug 491955 - gweather-applet locks up if started before Internet connection is available
gweather-applet locks up if started before Internet connection is available
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 15:34 EDT by Robert Nichols
Modified: 2009-11-18 08:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:39:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Nichols 2009-03-24 15:34:18 EDT
Description of problem:
If an Internet connection is not available immediately upon login, a previously installed gweather-applet locks up in the "Updating..." state and cannot be made to display data.

Version-Release number of selected component (if applicable):
2.24.3.1-1.fc10

How reproducible:
always

Steps to Reproduce:
1. Install and configure gweather applet in a panel on a system with its only Internet connection wireless, controlled by Network Manager, and started only upon login.
2. Log out.
3. Log back in.
  
Actual results:
The display in the panel shows only "--", mouseover shows the state stuck in "Updating...".  The applet never recovers, even if preference changes are made.

Expected results:
Once the network connection becomes available, the applet should update successfully and display correct data.

Additional info:
Gnome desktop.  Network Manager establishes a wireless network connection about 10 seconds after login.  Applet works fine if a network connection was established at boot time.
Comment 1 James 2009-03-28 10:56:49 EDT
I have the exact same problem. I am running Fedora 10 on an HP Pavilion laptop with AMD64 dual processor.

$ uname -a
Linux localhost.localdomain 2.6.27.19-170.2.35.fc10.x86_64 #1 SMP Mon Feb 23 13:00:23 EST 2009 x86_64 x86_64 x86_64 GNU/Linux

$ yum list gnome-desktop gnome-applets NetworkManager |grep "installed"
NetworkManager.x86_64          1:0.7.0.99-5.git20090326.fc10           installed
gnome-applets.x86_64           1:2.24.3.1-1.fc10                       installed
gnome-desktop.x86_64           2.24.3-1.fc10                           installed
Comment 2 Bug Zapper 2009-11-18 06:35:49 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Robert Nichols 2009-11-18 08:39:57 EST
Has been fixed in FC11, version 2.26.3-1.fc11

Note You need to log in before you can comment on or make changes to this bug.